## Cancel a Task

To cancel a task, send a POST request to the following endpoint:

POST /v2.0/tasks/{taskId}/cancel

### Example Using cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}/cancel \
  --header 'X-API-Key: <api-key>'
```

### Example Using Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}/cancel"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
```

### Example Using JavaScript (Fetch)

```javascript
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Example Using PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/tasks/{taskId}/cancel",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### HTTP Status Codes

- **202**: Task canceled successfully.
- **400**: Bad Request - Validation failed. Missing payload.
- **401**: Unauthorized - Invalid API key.
- **403**: Forbidden - You do not have permission to cancel this task.
- **404**: Not Found - Task ID not found.

### Response Structures

#### Success Response

202
    Task canceled.

#### Error Responses

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

**API Key Header**: You must provide the API Key in the header under `X-API-Key`.

### Headers

- **X-API-Key**: string, required, Supply the API Key in the HTTP Header.

- **Accept**: enum<string>, The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default: `application/json`.

### Path Parameters

- **taskId**: string, required, The unique identifier for the task. Must be 24 characters long and match the pattern `^[a-z0-9]{24}$`.

Last modified: July 8, 2026.
